#!/bin/sh
#/******************************************************************************
# *
# * Licensed Materials - Property of IBM
# *
# * Source File Name = RepairServiceUtil.sh
# *
# * (C) COPYRIGHT IBM Corp. 1999, 2003 All Rights Reserved
# *
# * US Government Users Restricted Rights - Use, duplication or
# * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# *
# *****************************************************************************/
# This script should be used to remove corrupted attributes of the services from the LDAP  manually.
#

# Set user-defined variables.
# PATH of ITIM HOME directory such as /itim46
ITIM_HOME=%ENROLE_HOME%
# PATH of Java Home directory such as /opt/WebSphere/AppServer/java
JAVA_HOME=%JAVA_HOME%
# PATH of Application Server HOME directory such as /opt/WebSphere/AppServer
APP_SRV_HOME=%APP_SRV_HOME%

JAVA=$JAVA_HOME/jre/bin/java

CLASSPATH=.:$JAVA_HOME/jre/lib/rt.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/jlog.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/data
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/itim_api.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/api_ejb.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/jsafe.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/jffdc.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/aspectjrt.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/log4j-1.2.8.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/enroleagent.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/ldapjdk.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/itim_server.jar
CLASSPATH=$CLASSPATH:$ITIM_HOME/lib/JSQLConnect.jar
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/ecutils.jar 
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/idl.jar 
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/namingclient.jar 
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/ras.jar 
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/sas.jar 
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/utils.jar 
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/wssec.jar 
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/lmproxy.jar 
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/wsexception.jar 
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/j2ee.jar
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/namingserver.jar
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/lib/bootstrap.jar 
CLASSPATH=$CLASSPATH:$APP_SRV_HOME/properties 


$JAVA -Djava.security.auth.login.config=jaas_login_was.conf -classpath $CLASSPATH RepairServiceUtil "$1" $2 $3 $4