@rem/******************************************************************************
@rem *
@rem * Licensed Materials - Property of IBM
@rem *
@rem * Source File Name = RepairServiceUtil.cmd
@rem *
@rem * (C) COPYRIGHT IBM Corp. 1999, 2003 All Rights Reserved
@rem *
@rem * US Government Users Restricted Rights - Use, duplication or
@rem * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem *
@rem *****************************************************************************/
@rem This script should be used to remove corrupted attributes of the services from the LDAP  manually.
@rem
@echo off
@rem PATH of ITIM HOME directory such as H:\Program Files\ibm\itim
set ITIM_HOME=%DEFINED_ENROLE_HOME%
@rem PATH of Java Home directory such as H:\Program Files\WebSphere\AppServer\java
set JAVA_HOME=%DEFINED_JAVA_HOME%
@rem PATH of Application Server HOME directory such as H:\Program Files\WebSphere\AppServer
set APP_SRV_HOME=%DEFINED_APP_SRV_HOME%



set CLASSPATH=.;%JAVA_HOME%\jre\lib\rt.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\jlog.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\aspectjrt.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\jffdc.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\data
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\itim_api.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\api_ejb.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\jsafe.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\log4j-1.2.8.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\enroleagent.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\ldapjdk.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\itim_server.jar
set CLASSPATH=%CLASSPATH%;%ITIM_HOME%\lib\JSQLConnect.jar
set CLASSPATH=%CLASSPATH%;%APP_SRV_HOME%/lib/ecutils.jar 
set CLASSPATH=%CLASSPATH%;%APP_SRV_HOME%/lib/idl.jar 
set CLASSPATH=%CLASSPATH%;%APP_SRV_HOME%/lib/namingclient.jar 
set CLASSPATH=%CLASSPATH%;%APP_SRV_HOME%/lib/ras.jar 
set CLASSPATH=%CLASSPATH%;%APP_SRV_HOME%/lib/sas.jar 
set CLASSPATH=%CLASSPATH%;%APP_SRV_HOME%/lib/utils.jar 
set CLASSPATH=%CLASSPATH%;%APP_SRV_HOME%/lib/wssec.jar 
set CLASSPATH=%CLASSPATH%;%APP_SRV_HOME%/lib/lmproxy.jar 
set CLASSPATH=%CLASSPATH%;%APP_SRV_HOME%/lib/wsexception.jar 
set CLASSPATH=%CLASSPATH%;%APP_SRV_HOME%/lib/j2ee.jar
set CLASSPATH=%CLASSPATH%;%APP_SRV_HOME%/lib/namingserver.jar
set CLASSPATH=%CLASSPATH%;%APP_SRV_HOME%/lib/bootstrap.jar 
set CLASSPATH=%CLASSPATH%;%APP_SRV_HOME%/properties 

set EXEC=RepairServiceUtil

set CMD="%JAVA_HOME%\bin\java" -Djava.security.auth.login.config=jaas_login_was.conf -cp "%CLASSPATH%" %EXEC% %1 %2 %3 %4

%CMD%

